UI::Util::CmdLine::EchoCmd Class Reference

Internal command: Print text. More...

Inheritance diagram for UI::Util::CmdLine::EchoCmd:
Collaboration diagram for UI::Util::CmdLine::EchoCmd:

## Additional Inherited Members

Public Member Functions inherited from UI::Util::CmdLine::Cmd
| Cmd (std::string const &name, std::string const &help="No help for this command")
| Standard constructor.
std::string | getName () const
| Get command name.
void | addArg (std::string const &name, std::string const &help="No help for this option")
| Add mandatory argument. Use this in constructors of custom Cmd classes.
void | addOptArg (std::string const &name, std::string const &help="No help for this option")
| Add optional argument. Use this in constructors of custom Cmd classes.
int | getMinArgs () const
| Get min args.
int | getMaxArgs () const
| Get max args.
std::string | getSyntax () const
| Get syntax line: cmd arg1 arg2 [arg3].
std::string | getHelp (bool showArgs=false) const
| Print help (i.e., syntax + documentation text).
bool | parse (std::string const &line)
| Parse a line.
bool | isParsed () const
| Check if we are in "parsed" state.
std::string | getArg (int i) const
| Get the argument of a parsed command.
int | run ()
| Public run function. Use this to run commands.
void | setCL (CmdLine *cl)
| Set Command Line Pointer; This must be run when adding commands from a CmdLine.
Static Public Member Functions inherited from UI::Util::CmdLine::Cmd
static std::string | stripLine (std::string const &line)
| Helper function.
static std::string | commandFromLine (std::string const &line)
| Helper function.
Protected Attributes inherited from UI::Util::CmdLine::Cmd
CmdLine * | cl_
| Should be there to access CmdLine.

## Detailed Description

Internal command: Print text.

The documentation for this class was generated from the following file:

- CmdLine.cpp